package com.engine.organization.service;

import com.engine.organization.entity.staff.param.StaffOutParam;
import com.engine.organization.entity.staff.param.TransactionParam;

/**
 * @Author liang.cheng
 * @Date 2023/9/1 10:26 AM
 * @Description: 编制外部接口
 * @Version 1.0
 */
public interface StaffOutService {

    /**
     * @Description: 编制变更（增加 减少）
     * @Author: liang.cheng
     * @Date: 2023/9/1 1:37 PM
     * @param: [staffOutParam]
     * @return: java.lang.Integer
     */
    Integer changeStaff(StaffOutParam staffOutParam);




    /**
     * @Description: 入转调离刷新编制信息
     * @Author: liang.cheng
     * @Date: 2023/9/1 2:06 PM
     * @param: [transactionParam]
     * @return: java.lang.Integer
     */
    Integer transactionOnJob(TransactionParam transactionParam);
}
