package com.engine.organization.enums;

/**
 * @Author liang.cheng
 * @Date 2023/9/1 1:50 PM
 * @Description: 编制变更枚举
 * @Version 1.0
 */
public enum StaffChangeEnum {

    ADD(0, "增加"),

    REDUCE(1, "减少");

    private Integer value;

    private String desc;

    StaffChangeEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return value;
    }

    public String getDesc() {
        return desc;
    }
}
